DetailPage-MSS-KB

Microsoft small business knowledge base

Article ID: 314339 - Last Review: February 27, 2014 - Revision: 4.5

Hotfix Download Available
View and request hotfix downloads
 
This article was previously published under Q314339
This article has been archived. It is offered "as is" and will no longer be updated.

On This Page

SYMPTOMS

A denial of service (http://www.microsoft.com/security/portal/glossary.aspx) vulnerability exists in Internet Information Server (IIS) 4.0, Internet Information Services (IIS) 5.0, and IIS 5.1. By exploiting this vulnerability, an attacker can temporarily prevent a Web server from providing Web services.

This vulnerability does not allow any data on the system to be compromised, nor does it enable the attacker to gain any rights on the system.

Microsoft investigations to date suggest that this vulnerability only occurs in cases in which Front Page Server Extensions (FPSE) are installed on the system, although it is possible that it may also occur under other conditions.

CAUSE

This vulnerability occurs because IIS incorrectly handles the error condition that results when one of the ISAPI filters that FPSE installs receives a Uniform Resource Locator (URL) that exceeds the maximum permitted length. Although the problem is with IIS, and therefore can also occur in cases that involve additional Internet Server Application Programming Interface (ISAPI) filters, Microsoft investigations to date have not revealed any other cases in which this occurs.

RESOLUTION

Internet Information Services 5.1

The update for this problem is included in the "MS02-018: April 2002 Cumulative Patch for Internet Information Services". For additional information about how to obtain this patch, click the article number below to view the article in the Microsoft Knowledge Base:
319733  (http://support.microsoft.com/kb/319733/EN-US/ ) MS02-018: April 2002 Cumulative Patch for Internet Information Services

Internet Information Services 5.0

The update for this problem is included in the "MS02-018: April 2002 Cumulative Patch for Internet Information Services". For additional information about how to obtain this patch, click the article number below to view the article in the Microsoft Knowledge Base:
319733  (http://support.microsoft.com/kb/319733/EN-US/ ) MS02-018: April 2002 Cumulative Patch for Internet Information Services
To resolve this problem, obtain the latest service pack for Windows 2000. For additional information, click the following article number to view the article in the Microsoft Knowledge Base:
260910  (http://support.microsoft.com/kb/260910/EN-US/ ) How to Obtain the Latest Windows 2000 Service Pack

Internet Information Server 4.0

The update for this problem is included in the "MS02-018: April 2002 Cumulative Patch for Internet Information Services". For additional information about how to obtain this patch, click the article number below to view the article in the Microsoft Knowledge Base:
319733  (http://support.microsoft.com/kb/319733/EN-US/ ) MS02-018: April 2002 Cumulative Patch for Internet Information Services

STATUS

Internet Information Services 5.1

Microsoft has confirmed that this problem may cause a degree of security vulnerability in Microsoft Internet Information Services 5.1.

Internet Information Services 5.0

Microsoft has confirmed that this problem may cause a degree of security vulnerability in Microsoft Internet Information Services 5.0. This problem was first corrected in Windows 2000 Service Pack 3.

Internet Information Server 4.0

Microsoft has confirmed that this problem may cause a degree of security vulnerability in Microsoft Internet Information Server 4.0.

MORE INFORMATION

For more information on these vulnerabilities, see the following Microsoft Web site:
http://www.microsoft.com/technet/security/bulletin/MS02-018.mspx (http://www.microsoft.com/technet/security/bulletin/MS02-018.mspx)
For additional information about how to obtain a hotfix for Windows 2000 Datacenter Server, click the article number below to view the article in the Microsoft Knowledge Base:
265173  (http://support.microsoft.com/kb/265173/EN-US/ ) The Datacenter Program and Windows 2000 Datacenter Server Product
For additional information about how to install multiple hotfixes with only one reboot, click the article number below to view the article in the Microsoft Knowledge Base:
296861  (http://support.microsoft.com/kb/296861/EN-US/ ) Use QChain.exe to Install Multiple Hotfixes with One Reboot

APPLIES TO
  • Microsoft Internet Information Services version 5.1
  • Microsoft Internet Information Server 4.0
Keywords: 
kbnosurvey kbarchive kbhotfixserver kbqfe kbbug kbfix kbsecurity kbwin2000presp3fix kbwin2000sp3fix kbwinxpsp1fix KB314339
Share
Additional support options
Ask The Microsoft Small Business Support Community
Contact Microsoft Small Business Support
Find Microsoft Small Business Support Certified Partner
Find a Microsoft Store For In-Person Small Business Support